Bug 1818622 - gloox is outaded, breaks other available apps
Summary: gloox is outaded, breaks other available apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gloox
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-29 19:08 UTC by Al-Scandar Solstag
Modified: 2020-06-11 19:01 UTC (History)
3 users (show)

Fixed In Version: gloox-1.0.23-1.fc32 gloox-1.0.23-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-07 19:47:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Al-Scandar Solstag 2020-03-29 19:08:34 UTC
Description of problem:

Package `gloox` in Fedora hasn't been updated for a while, other applications already updated depend on those updates.

Version-Release number of selected component (if applicable):

gloox-1.0.14

Steps to Reproduce:
1. Install gloox
2. Try using an available package that depends on a later version, like 0ad

Actual results:

Old version gets installed.

At least one available application depending on gloox fails because gloox is outdated. https://bugzilla.redhat.com/show_bug.cgi?id=1667682

Expected results:

Install a recent Gloox version.

Additional info:

I'm creating this bug because `gloox` doesn't seem to have been updated in 32 or rawhide:

https://src.fedoraproject.org/rpms/gloox

0ad folks are waiting for the update:
https://trac.wildfiregames.com/ticket/5349

Comment 1 Jorge Gallegos 2020-05-14 18:29:04 UTC
There's a non-responsive maintainer ticket open for gloox's maintainer here https://bugzilla.redhat.com/show_bug.cgi?id=1829117

Comment 2 Fedora Update System 2020-05-31 10:35:41 UTC
FEDORA-2020-167b67cb12 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-167b67cb12

Comment 3 Fedora Update System 2020-05-31 10:35:47 UTC
FEDORA-2020-b068f5ebc9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b068f5ebc9

Comment 4 Fedora Update System 2020-05-31 10:58:13 UTC
FEDORA-2020-ad6b1fe937 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad6b1fe937

Comment 5 Fedora Update System 2020-05-31 11:04:49 UTC
FEDORA-2020-ad6b1fe937 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad6b1fe937

Comment 6 Fedora Update System 2020-05-31 11:10:41 UTC
FEDORA-2020-ad6b1fe937 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad6b1fe937

Comment 7 Fedora Update System 2020-05-31 11:18:29 UTC
FEDORA-2020-ad6b1fe937 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad6b1fe937

Comment 8 Fedora Update System 2020-05-31 11:33:25 UTC
FEDORA-2020-ad6b1fe937 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ad6b1fe937

Comment 9 Fedora Update System 2020-06-01 03:12:26 UTC
FEDORA-2020-167b67cb12 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-167b67cb12`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-167b67cb12

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-01 03:25:47 UTC
FEDORA-2020-b068f5ebc9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b068f5ebc9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b068f5ebc9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-07 19:47:38 UTC
FEDORA-2020-167b67cb12 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-06-11 18:58:38 UTC
0ad-0.0.23b-17.fc31, gloox-1.0.23-1.fc31, uwsgi-2.0.18-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Al-Scandar Solstag 2020-06-11 19:01:28 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.